# $Revision: 1.49 $, $Date: 2011/04/27 09:07:17 $
#
# Conditional build:
%bcond_without	gssapi		# GSSAPI Kerberos 5 support
%bcond_without	mysql		# MySQL database support 
%bcond_without	pgsql		# PostgreSQL database support
%bcond_without	snmp		# SNMP support
#
Summary:	Linux system and kernel logger
Summary(de.UTF-8):	Linux-System- und Kerner-Logger
Summary(es.UTF-8):	Registrador de log del sistema linux
Summary(fr.UTF-8):	Le système Linux et le logger du noyau
Summary(pl.UTF-8):	Programy logujące zdarzenia w systemie i jądrze Linuksa
Summary(pt_BR.UTF-8):	Registrador de log do sistema linux
Summary(tr.UTF-8):	Linux sistem ve çekirdek kayıt süreci
Name:		rsyslog
Version:	5.6.5
Release:	1
License:	GPL v3+
Group:		Daemons
Source0:	http://www.rsyslog.com/files/download/rsyslog/%{name}-%{version}.tar.gz
# Source0-md5:	ab675f5856a35f6aa0cd6ab057443ead
Source1:	%{name}.init
Source2:	%{name}.conf
Source3:	%{name}.sysconfig
Source4:	%{name}.logrotate
URL:		http://www.rsyslog.com/
%{?with_gssapi:BuildRequires:	heimdal-devel}
%{?with_mysql:BuildRequires:	mysql-devel}
%{?with_snmp:BuildRequires:	net-snmp-devel}
BuildRequires:	pkgconfig
%{?with_pgsql:BuildRequires:	postgresql-devel}
Requires(post):	fileutils
Requires(post,preun):	/sbin/chkconfig
Requires(post,preun):	rc-scripts >= 0.2.0
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/lib/rpm/user_group.sh
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires(pre):	/usr/sbin/usermod
Requires(triggerpostun):	sed >= 4.0
# for vservers we don't need klogd and syslog works without klogd
# (just it doesn't log kernel buffer into syslog)
# Requires:	klogd
Requires:	logrotate >= 3.2-3
Requires:	psmisc >= 20.1
Provides:	group(syslog)
Provides:	syslogdaemon
Provides:	user(syslog)
Obsoletes:	msyslog
Obsoletes:	sysklogd
Obsoletes:	syslog-ng
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Rsyslog is an enhanced multi-threaded syslogd supporting, among
others, MySQL, syslog/tcp, RFC 3195, permitted sender lists, filtering
on any message part, and fine grain output format control. It is quite
compatible to stock sysklogd and can be used as a drop-in replacement.
Its advanced features make it suitable for enterprise-class,
encryption protected syslog relay chains while at the same time being
very easy to setup for the novice user.

%description -l pl.UTF-8
rsyslog to zaawansowany, wielowątkowy syslogd obsługujący m.in.
MySQL-a, syslog/tcp, RFC 3195, listy dopuszczalnych nadawców,
filtrowanie po częściach komunikatów i szczegółową kontrolę formatu
wyjściowego. Jest w miarę kompatybilny ze zwykłym sysklogd i może być
używany jako jego zamiennik. Jego zaawansowane możliwości czynią go
odpowiednim do produkcyjnych, szyfrowanych łańcuchów przekazywania
logów, a jednocześnie jest przy tym łatwy do skonfigurowania dla
początkującego użytkownika.

%package klogd
Summary:	Linux kernel logger
Summary(de.UTF-8):	Linux-Kerner-Logger
Summary(pl.UTF-8):	Program logujący zdarzenia w jądrze Linuksa
Group:		Daemons
Requires(post,preun):	/sbin/chkconfig
Requires(post,preun):	rc-scripts >= 0.2.0
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/lib/rpm/user_group.sh
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires(pre):	/usr/sbin/usermod
Provides:	group(syslog)
Provides:	user(syslog)
Obsoletes:	sysklogd

%description klogd
This is the Linux kernel logging program. It is run as a daemon
(background process) to log messages from kernel.

%description klogd -l pl.UTF-8
Pakiet ten zawiera program, który jest uruchamiany jako demon i służy
do logowania komunikatów jądra Linuksa.

%package mysql
Summary:	MySQL support for rsyslog
Summary(pl.UTF-8):	Obsługa MySQL-a do rsysloga
Group:		Daemons
Requires:	%{name} = %{version}-%{release}

%description mysql
The rsyslog-mysql package contains a dynamic shared object that will
add MySQL database support to rsyslog.

%description mysql -l pl.UTF-8
Pakiet rsyslog-mysql zawiera moduł dynamiczny dodający obsługę bazy
danych MySQL do rsysloga.

%package pgsql
Summary:	PostgresSQL support for rsyslog
Summary(pl.UTF-8):	Obsługa PostgreSQL-a dla rsysloga
Group:		Daemons
Requires:	%{name} = %{version}-%{release}

%description pgsql
The rsyslog-pgsql package contains a dynamic shared object that will
add PostgreSQL database support to rsyslog.

%description pgsql -l pl.UTF-8
Pakiet rsyslog-pgsql zawiera moduł dynamiczny dodający obsługę bazy
danych PostgreSQL do rsysloga.

%package gssapi
Summary:	GSSAPI authentication and encryption support for rsyslog
Summary(pl.UTF-8):	Obsługa uwierzytelniania GSSAPI i szyfrowania dla rsysloga
Group:		Daemons
Requires:	%{name} = %{version}-%{release}

%description gssapi
The rsyslog-gssapi package contains the rsyslog plugins which support
GSSAPI authentication and secure connections. GSSAPI is commonly used
for Kerberos authentication.

%description gssapi -l pl.UTF-8
Pakiet rsyslog-gssapi zawiera wtyczki rsysloga obsługujące
uwierzytelnianie GSSAPI i bezpieczne połączenia. GSSAPI jest
powszechnie używane do uwierzytelniania Kerberos.

%prep
%setup -q

%build
%configure \
	--enable-imfile \
	%{?with_gssapi:--enable-gssapi-krb5} \
	%{?with_mysql:--enable-mysql} \
	%{?with_pgsql:--enable-pgsql} \
	%{?with_snmp:--enable-snmp}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{sysconfig,rc.d/init.d,logrotate.d,rsyslog.d} \
	$RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man{5,8},%{_bindir}} \
	$RPM_BUILD_ROOT/{dev,var/log}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/rsyslog
install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/rsyslog.conf
install %{SOURCE3} $RPM_BUILD_ROOT/etc/sysconfig/rsyslog
install %{SOURCE4} $RPM_BUILD_ROOT/etc/logrotate.d/rsyslog

for n in debug kernel maillog messages secure syslog user spooler lpr daemon
do
	> $RPM_BUILD_ROOT/var/log/$n
done

%{__rm} $RPM_BUILD_ROOT%{_libdir}/rsyslog/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%groupadd -P syslog -g 18 syslog
%useradd -P syslog -u 18 -g syslog -c "Syslog User" syslog
%addusertogroup syslog logs

%post
for n in /var/log/{cron,daemon,debug,kernel,lpr,maillog,messages,secure,spooler,syslog,user}; do
	if [ -f $n ]; then
		chown root:logs $n
		continue
	else
		touch $n
		chmod 000 $n
		chown root:logs $n
		chmod 640 $n
	fi
done

/sbin/chkconfig --add %{name}
%service rsyslog restart "%{name} daemon"
%service -q %{name}-klogd restart

%preun
if [ "$1" = "0" ]; then
	%service %{name} stop
	/sbin/chkconfig --del %{name}
fi

%postun
if [ "$1" = "0" ]; then
	%userremove syslog
	%groupremove syslog
fi

%pre klogd
%groupadd -P klogd -g 18 syslog
%useradd -P klogd -u 18 -g syslog -c "Syslog User" syslog
%addusertogroup syslog logs

%post klogd
/sbin/chkconfig --add %{name}-klogd
%service %{name}-klogd restart "kernel logger daemon"

%preun klogd
if [ "$1" = "0" ]; then
	%service %{name}-klogd stop
	/sbin/chkconfig --del %{name}-klogd
fi

%postun klogd
if [ "$1" = "0" ]; then
	%userremove syslog
	%groupremove syslog
fi

%triggerpostun -- inetutils-syslogd
/sbin/chkconfig --del syslog
/sbin/chkconfig --add syslog
if [ -f /etc/syslog.conf.rpmsave ]; then
	mv -f /etc/syslog.conf{,.rpmnew}
	mv -f /etc/syslog.conf{.rpmsave,}
	echo "Moved /etc/syslog.conf.rpmsave to /etc/syslog.conf"
	echo "Original file from package is available as /etc/syslog.conf.rpmnew"
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%dir %{_sysconfdir}/rsyslog.d
%attr(640,root,syslog) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/rsyslog.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/rsyslog
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/logrotate.d/rsyslog
%attr(754,root,root) /etc/rc.d/init.d/rsyslog
%attr(640,root,root) %ghost /var/log/*
%attr(755,root,root) %{_sbindir}/rsyslogd
%dir %{_libdir}/rsyslog
%attr(755,root,root) %{_libdir}/rsyslog/imfile.so
%attr(755,root,root) %{_libdir}/rsyslog/imklog.so
%attr(755,root,root) %{_libdir}/rsyslog/immark.so
%attr(755,root,root) %{_libdir}/rsyslog/imtcp.so
%attr(755,root,root) %{_libdir}/rsyslog/imudp.so
%attr(755,root,root) %{_libdir}/rsyslog/imuxsock.so
%attr(755,root,root) %{_libdir}/rsyslog/lmgssutil.so
%attr(755,root,root) %{_libdir}/rsyslog/lmnet.so
%attr(755,root,root) %{_libdir}/rsyslog/lmnetstrms.so
%attr(755,root,root) %{_libdir}/rsyslog/lmnsd_ptcp.so
%attr(755,root,root) %{_libdir}/rsyslog/lmregexp.so
%attr(755,root,root) %{_libdir}/rsyslog/lmstrmsrv.so
%attr(755,root,root) %{_libdir}/rsyslog/lmtcpclt.so
%attr(755,root,root) %{_libdir}/rsyslog/lmtcpsrv.so
%attr(755,root,root) %{_libdir}/rsyslog/lmzlibw.so
%attr(755,root,root) %{_libdir}/rsyslog/omruleset.so
%attr(755,root,root) %{_libdir}/rsyslog/omsnmp.so
%attr(755,root,root) %{_libdir}/rsyslog/omtesting.so
%{_mandir}/man5/*
%{_mandir}/man8/*

#%files klogd
#%defattr(644,root,root,755)
#%attr(754,root,root) /etc/rc.d/init.d/klogd
#%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/klogd
#%attr(755,root,root) %{_sbindir}/klogd

%if %{with mysql}
%files mysql
%defattr(644,root,root,755)
%doc plugins/ommysql/createDB.sql
%attr(755,root,root) %{_libdir}/rsyslog/ommysql.so
%endif

%if %{with pgsql}
%files pgsql
%defattr(644,root,root,755)
%doc plugins/ompgsql/createDB.sql
%attr(755,root,root) %{_libdir}/rsyslog/ompgsql.so
%endif

%if %{with gssapi}
%files gssapi
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/rsyslog/imgssapi.so
%attr(755,root,root) %{_libdir}/rsyslog/omgssapi.so
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: rsyslog.spec,v $
Revision 1.49  2011/04/27 09:07:17  lisu
- updated to 5.6.5

Revision 1.48  2011/03/31 18:10:31  arekm
- release 2

Revision 1.47  2011/03/03 18:10:53  lisu
- up to 5.6.4

Revision 1.46  2011/02/11 15:47:15  lisu
- package omruleset.so

Revision 1.45  2011/02/11 15:46:21  lisu
- 5.6.3

Revision 1.44  2010/12/10 08:58:04  lisu
- up to stable 5.6.2

Revision 1.43  2010/11/15 18:33:23  arekm
- release 3

Revision 1.42  2010/11/13 12:09:00  pawelz
- release 2

Revision 1.41  2010/08/13 09:06:16  lisu
- up to 4.6.4
- new Source0 URL

Revision 1.40  2010/07/12 14:35:50  lisu
- updated to 4.6.3

Revision 1.39  2010/05/04 09:28:41  lisu
- up to 4.6.2

Revision 1.38  2010/03/06 22:41:10  zawadaa
- some adjustment for ver. 4
- move rsyslog.conf to /etc - world has like that - rsyslog.d is for includ.
- few tips in rsyslog.conf added
- check and consider if PLD could use rsyslog as default syslog daemon...

Revision 1.37  2010/03/05 09:42:03  amateja
- updated to 4.6.1

Revision 1.36  2010/03/01 08:20:32  amateja
- updated to 4.6.0

Revision 1.35  2010/02/11 09:12:54  amateja
- updated to 4.5.8

Revision 1.34  2010/01/21 09:28:03  amateja
- updated to 4.5.7

Revision 1.33  2009/12/14 12:18:40  baggins
- rel 3

Revision 1.32  2009/12/09 16:45:20  sparky
- BR: pkgconfig

Revision 1.31  2009/12/09 13:33:14  baggins
- rel 2

Revision 1.30  2009/10/02 07:24:50  amateja
- updated to 4.5.5

Revision 1.29  2009/09/20 12:15:27  amateja
- updated to 4.5.4

Revision 1.28  2009/09/18 06:25:03  amateja
- updated to 4.5.3

Revision 1.27  2009/08/22 04:28:29  amateja
- updated to 4.5.2

Revision 1.26  2009/07/02 22:36:58  baggins
- rel 2
- switch to heimdal kerberos

Revision 1.25  2009/06/23 15:19:24  paszczus
- downgraded to 4.2.0 [stable]

Revision 1.24  2009/05/28 18:32:45  amateja
- updated to 4.3.1

Revision 1.23  2009/02/17 10:13:03  paszczus
- updated to 4.1.4

Revision 1.22  2008/11/30 20:33:20  arekm
- up to 4.1.1

Revision 1.21  2008/10/10 06:18:13  paszczus
- updated to 3.18.5

Revision 1.20  2008/09/19 06:38:05  paszczus
- updated to 3.18.4

Revision 1.19  2008/08/19 06:23:36  paszczus
- updated to 3.18.3

Revision 1.18  2008/08/17 19:50:27  qboosh
- killed bogus -devel

Revision 1.17  2008/08/09 19:31:55  paszczus
- updated to 3.18.2
- added -devel subpackage

Revision 1.16  2008/07/22 08:50:51  paszczus
- updated to 3.18.1

Revision 1.15  2008/07/09 18:52:42  qboosh
- PLDized init script

Revision 1.14  2008/07/09 13:29:59  glen
- no macro for sysconfig or logrotate.d

Revision 1.13  2008/07/09 13:28:21  glen
- revert (plz adapter in utf8 mode)

Revision 1.12  2008/07/09 13:24:44  paszczus
- adaptarized

Revision 1.11  2008/07/09 05:29:06  qboosh
- cleanup
- pl
- don't create empty -klogd package

Revision 1.10  2008/07/03 10:46:12  paszczus
- added dir

Revision 1.9  2008/07/03 09:54:07  paszczus
- package only if --with build

Revision 1.8  2008/07/03 09:43:40  paszczus
- added rsyslog.{init,conf,sysconfig} files from fedora (need to pldize them?)
- cleanups

Revision 1.7  2008/07/03 09:33:38  paszczus
- pldize, thx glen

Revision 1.6  2008/07/03 09:29:37  paszczus
- BR in proper place; adaptarized

Revision 1.5  2008/07/03 09:27:54  paszczus
- added subpackages
- fixed packaging
- cleanups

Revision 1.4  2008/07/03 08:50:42  paszczus
- adaptarized

Revision 1.3  2008/07/03 08:49:42  paszczus
- updated to 3.16.2
- removed TODO; added bconds mysql,pgsql,snmp
- NFY (same error as in previous revision - %files needs to be corrected)
- release 0.1

Revision 1.2  2008/02/09 22:40:43  blues
- md5 fixed, few building fixes. Builds, works, needs packaging finish and
  some fine-tuning.

Revision 1.1  2008-02-09 20:34:40  blues
- initial, replacement of sysklogd from fedora
